﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 Input Channel Functional VER IEEE
INSTRUMENT:            Sub Tek DPO7000 TimeBase Functional VER IEEE
INSTRUMENT:            Sub Tek DPO7000 Trig System Functional VER IEEE
INSTRUMENT:            Sub Tek DPO7000 File System Functional VER IEEE
DATE:                  2017-07-18 09:45:48
AUTHOR:                Fluke
REVISION:              $Revision: 20366 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       12
NUMBER OF LINES:       315
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        1 ea. precision 50 Ω coaxial cable
#        1 ea. BNC to Minigrabber adapter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.003  JMPL         CHANNEL_TEST                 PSUBI("Input Channel")
  1.004  JMPL         TIMEBASE_TEST                PSUBI("TimeBase")
  1.005  JMPL         TRIGGER_TEST                 PSUBI("Trig System")
  1.006  JMPL         FILE_SYSTEM                  PSUBI("File System")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment test number

# =====  Sub Tek DPO7000 Input Channel Functional VER IEEE  =================

  2.001  LABEL        CHANNEL_TEST
  2.002  HEAD         CHANNEL FUNCTION VERIFICATION (Ch [V @Chan])

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =CHANNEL FUNCTION TEST
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  HEAD         -2 Channel Operation Test
  2.010  TARGET
  2.011  DISP         Connect DUT Ch [V @Chan] to PROBE COMPENSATION.
  2.012  IEEE2        AUTOS EXEC
  2.013  IEEE2        CH[V @Chan]:OFFS 0;POS 1
  2.014  IEEE2        CH[V @Chan]:SCA?[I]
# Verify DUT vertical setting.
  2.015  MATH         L[1] = (MEM == 500E-3)

  2.016  OPBR         -z Is the waveform amplitude approximate 2 divisions?
  2.017  MATH         L[2] = MEM1

  2.018  OPBR         -z Turn DUT Ch [V @Chan] Position knob.
  2.018  OPBR
  2.018  OPBR         Did the signal move up and down the screen when the knob
  2.018  OPBR         was rotated?
  2.019  MATH         L[3] = MEM1

  2.020  OPBR         -z Turn DUT Scale knob counterclockwise.
  2.020  OPBR
  2.020  OPBR         Did the displayed waveform amplitude decrease?
  2.021  MATH         L[4] = MEM1

  2.022  OPBR         -z Turn DUT Scale knob clockwise.
  2.022  OPBR
  2.022  OPBR         Did the displayed waveform amplitude increase?
  2.023  MATH         L[5] = MEM1

  2.024  EVAL   -e L[1] && L[2] && L[3] && L[4] && L[5] : Operation Test

  3.001  HEAD         -2 Channel Acquisition Mode Test
  3.002  TARGET
# Restore to original setting.
  3.003  IEEE2        AUTOS EXEC
  3.004  IEEE2        ACQ:MOD SAM
  3.005  WAIT         -t 1 DUT Settling...
  3.006  IEEE2        ACQ?[I$]
# Acquistion mode is the third semicolon delimited field in the response.
# Mode field is "MODE <acquision mode>".
  3.007  MATH         ModeField = FLD(MEM2, 3, ";")
  3.008  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.009  MATH         L[1] = FINDI(AcquistionMode, "SAM", 1)

  3.010  IEEE2        ACQ:MOD PEAK
  3.011  WAIT         -t 1 DUT Settling...
  3.012  IEEE2        ACQ?[I$]
  3.013  MATH         ModeField = FLD(MEM2, 3, ";")
  3.014  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.015  MATH         L[2] = FINDI(AcquistionMode, "PEAK", 1)

  3.016  IEEE2        ACQ:MOD HIR
  3.017  WAIT         -t 1 DUT Settling...
  3.018  IEEE2        ACQ?[I$]
  3.019  MATH         ModeField = FLD(MEM2, 3, ";")
  3.020  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.021  MATH         L[3] = FINDI(AcquistionMode, "HIR", 1)

  3.022  IEEE2        ACQ:MOD AVE
  3.023  WAIT         -t 1 DUT Settling...
  3.024  IEEE2        ACQ?[I$]
  3.025  MATH         ModeField = FLD(MEM2, 3, ";")
  3.026  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.027  MATH         L[4] = FINDI(AcquistionMode, "AVE", 1)

  3.028  IEEE2        ACQ:MOD ENV
  3.029  WAIT         -t 1 DUT Settling...
  3.030  IEEE2        ACQ?[I$]
  3.031  MATH         ModeField = FLD(MEM2, 3, ";")
  3.032  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.033  MATH         L[5] = FINDI(AcquistionMode, "ENV", 1)

  3.034  IEEE2        ACQ:MOD WFMDB
  3.035  WAIT         -t 1 DUT Settling...
  3.036  IEEE2        ACQ?[I$]
  3.037  MATH         ModeField = FLD(MEM2, 3, ";")
  3.038  MATH         AcquistionMode = FLD(ModeField, 1, " ")
  3.039  MATH         L[6] = FINDI(AcquistionMode, "WFMDB", 1)

  3.040  MATH         MEM = L[1] && L[2] && L[3] && L[4] && L[5] && L[6]
  3.041  EVAL   -e MEM : Acquisition Mode Test

  4.001  HEAD         -2
  4.002  HEAD
  4.003  END

  4.004  EVAL   Increment test number

# =====  Sub Tek DPO7000 TimeBase Functional VER IEEE  =================

  5.001  LABEL        TIMEBASE_TEST
  5.002  RSLT         =
  5.003  HEAD         {TIMEBASE TEST}
  5.004  HEAD         -2 TimeBase Operation Verification
  5.005  TARGET
  5.006  IEEE2        AUTOS EXEC
  5.007  IEEE2        CH[V @Chan]:SCA 200E-3;POS 2.5
  5.008  IEEE2        HOR:SCA 200E-6
  5.009  OPBR         -z Is one period of square-wave signal about five
  5.009  OPBR         horizontal divisions?
  5.010  MATH         L[1] = MEM1

  5.011  OPBR         -z Rotate the horizontal Scale knob clockwise.
  5.011  OPBR
  5.011  OPBR         Does the waveform on-screen expand?
  5.012  MATH         L[2] = MEM1

  5.013  OPBR         -z Rotate the horizontal Scale knob counterclockwise.
  5.013  OPBR
  5.013  OPBR         Does the waveform on-screen contract?
  5.014  MATH         L[3] = MEM1

  5.015  OPBR         -z Rotate the horizontal Position knob.
  5.015  OPBR
  5.015  OPBR         Does the waveform on-screen position left and right
  5.015  OPBR         when rotated?
  5.016  MATH         L[4] = MEM1

  5.017  EVAL   -e L[1] && L[2] && L[3] && L[4] : TimeBase Operation Test

  6.001  HEAD         -2 Horizontal Delay Test
  6.002  TARGET
  6.003  IEEE2        HOR:SCA 20E-6;POS 0;DEL:MOD ON;TIM 1E-3
  6.004  OPBR         -z Is a rising edge of waveform within a few divisions
  6.004  OPBR         of center screen?
  6.005  MATH         L[1] = MEM1

  6.006  OPBR         -z Rotate the horizontal Position knob.
  6.006  OPBR
  6.006  OPBR         Does the rising edge shift horizontally?
  6.007  MATH         L[2] = MEM1

  6.008  IEEE2        HOR:DEL:MOD OFF
  6.009  IEEE2        HOR:POS 50
  6.010  OPBR         -z Rotate the horizontal Position knob.
  6.010  OPBR
  6.010  OPBR         Does the rising edge shift horizontally?
  6.011  MATH         L[3] = MEM1

  6.012  IEEE2        HOR:POS 0;SCA 50E-9;DEL:MOD ON;TIM 1E-3
  6.013  OPBR         -z Adjust the delay setting to position the rising
  6.013  OPBR         edge 2 divisions to the right of the center graticule
  6.013  OPBR         line. Push the front-panel Delay button several times
  6.013  OPBR         to toggle delay off and on and back off again.
  6.013  OPBR
  6.013  OPBR         Does the display switch quickly between two different
  6.013  OPBR         points in time?
  6.014  MATH         L[4] = MEM1

  6.015  EVAL   -e L[1] && L[2] && L[3] && L[4] : Horizontal Delay Test

  7.001  HEAD         -2
  7.002  HEAD
  7.003  END

  7.004  EVAL   Increment test number

# =====  Sub Tek DPO7000 Trig System Functional VER IEEE  ==============

  8.001  LABEL        TRIGGER_TEST
  8.002  RSLT         =
  8.003  HEAD         {TRIGGER VERIFICATION}
  8.004  HEAD         -2 Main Trigger Verification
  8.005  TARGET
  8.006  IEEE2        AUTOS EXEC
  8.007  IEEE2        CH[V @Chan]:SCA 200E-3;POS 2.5
  8.008  OPBR         -z Rotate the trigger-Level knob.
  8.008  OPBR
  8.008  OPBR         Does the trigger level readout for the A (main)
  8.008  OPBR         trigger system change?
  8.009  MATH         L[1] = MEM1

  8.010  DISP         Continue rotating the trigger-Level knob until
  8.010  DISP         untriggering the square-wave signal.
  8.011  IEEE2        TRIG:A SETL
  8.012  OPBR         -z Does square-wave signal trigger again?
  8.013  MATH         L[2] = MEM1

  8.014  EVAL   -e L[1] && L[2] : Main Trigger Verification Test

  9.001  HEAD         -2 Delay Trigger System Verification
  9.002  TARGET
  9.003  IEEE2        TRIG:B:STATE ON;TYP EDGE
  9.004  IEEE2        TRIG:B SETL
  9.005  OPBR         -z Click Trig menu.
  9.005  OPBR         Select B Event (Delay) Trigger Setup...
  9.005  OPBR         Click the Level control. Then rotate
  9.005  OPBR         Upper multipurpose knob.
  9.005  OPBR
  9.005  OPBR         Does the trigger level readout for the B trigger
  9.005  OPBR         system change?
  9.006  MATH         L[1] = MEM1

  9.007  OPBR         -z Continue rotate the Upper multipurpose knob.
  9.007  OPBR
  9.007  OPBR         Does square-wave signal become triggered and
  9.007  OPBR         untriggered?
  9.008  MATH         L[2] = MEM1

  9.009  IEEE2        TRIG:B SETL
  9.010  IEEE2        TRIG:B:BY TIM;TIM 1
  9.011  IEEE2        TRIG:A:MODE NORM
  9.012  OPBR         -z Does the trigger Ready indicator on the front
  9.012  OPBR         panel flashes about once every second as the
  9.012  OPBR         waveform is updated on-screen?
  9.013  MATH         L[3] = MEM1

  9.014  MATH         MEM = L[1] && L[2] && L[3]
  9.015  EVAL   -e MEM : Delay Trigger System Verification Test

 10.001  DISP         Press Close (X) on DUT Trigger - Edge
 10.001  DISP         control panel.
 10.002  HEAD         -2
 10.003  HEAD
 10.004  END

 10.005  EVAL   Increment test number

# =====  Sub Tek DPO7000 File System Functional VER IEEE  ==============

 11.001  LABEL        FILE_SYSTEM
 11.002  RSLT         =
 11.003  HEAD         FILE SYSTEM VERIFICATION TEST
 11.004  TARGET
 11.005  IEEE2        AUTOS EXEC
 11.006  IEEE2        CH[V @Chan]:SCA 200E-3
 11.007  IEEE2        HOR:SCA 1E-3
 11.008  IEEE2        SAV:SETU 1
 11.009  IEEE2        HOR:SCA 200E-6
 11.010  IEEE2        CH[V @Chan]:POS 2.5
 11.011  OPBR         -z Did the horizontal Scale setting change to
 11.011  OPBR         200µs/div?
 11.012  MATH         L[1] = MEM1
 11.013  IEEE2        RECA:SETU 1
 11.014  OPBR         -z Does the horizontal Scale setting change to
 11.014  OPBR         1.0ms/div?
 11.015  MATH         L[2] = MEM1
 11.016  EVAL   -e L[1] && L[2]: File System Verification Test

 12.001  HEAD         -2
 12.002  HEAD
 12.003  END
