﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 Setup IEEE
INSTRUMENT:            Sub Tek DPO7000 Check Firmware Version
DATE:                  2017-07-18 09:46:12
AUTHOR:                Fluke
REVISION:              $Revision: 20343 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       86
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP_IEEE                   PSUB("Setup")
  1.002  JMPL         FIRMWARE_CHECK               PSUB("Firmware")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment test number

# =====  Sub Tek DPO7000 Setup IEEE  ========================================

  2.001  LABEL        SETUP_IEEE
  2.002  DISP         To set up the DUT GPIB interface, follow these steps:
  2.002  DISP
  2.002  DISP         Push DUT Utilities menu, then push GPIB Configuration.
  2.002  DISP
  2.002  DISP         Ensure GPIB Configuration is "Talk / Listen".
  2.002  DISP
  2.002  DISP         Ensure Address is not 0.
  2.002  DISP
  2.002  DISP         You can push Address option button or rotate the
  2.002  DISP         Multipurpose a knob to change the address, and also push
  2.002  DISP         Bus Connection option button to switch bus connection.

  2.003  END

  2.004  EVAL   Increment test number

# =====  Sub Tek DPO7000 Check Firmware Version  ============================

  3.001  LABEL        FIRMWARE_CHECK
  3.002  MATH         L[1] = SUB(FLD(@FirmwareRev, 2, " "), 4, 5)
  3.003  MATH         @Abort = (L[1] < 4)

  3.004  IF           @Abort
  3.005  DISP         This procedure requires firmware version 4.00 or later.
  3.005  DISP
  3.005  DISP         Go to tektronix.com to obtain updated firmware.
  3.006  ENDIF

  3.007  END
