﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7104 (1 yr) VER IEEE /O_CAL+G1+5Ch+TDP,LFCTR
DATE:                  2017-07-25 15:17:32
AUTHOR:                Fluke
REVISION:              $Revision: 23333 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       298
CONFIGURATION:         Fluke Ocal (1.1GHz,5Ch,TDP)
CONFIGURATION:         Low Frequency Counter
STANDARD:              Fluke 5800A/TDP
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1.
#        DCV ACCURACY
#                50 Ω, 1 mV/div, Positive;     TUR 2.1033
#                50 Ω, 1 mV/div, Negative;     TUR 2.1033
#                50 Ω, 2 mV/div, Positive;     TUR 2.2707
#                50 Ω, 2 mV/div, Negative;     TUR 2.2707
#                50 Ω, 5 mV/div, Positive;     TUR 2.6906
#                50 Ω, 5 mV/div, Negative;     TUR 2.6906
#                50 Ω, 10 mV/div, Positive;    TUR 3.8926
#                50 Ω, 10 mV/div, Negative;    TUR 3.8926
#                50 Ω, 50 mV/div, Positive;    TUR 2.6201
#                50 Ω, 50 mV/div, Negative;    TUR 2.6201
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Additional Equipment Required:
#        1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
#        1 ea. BNC Shorting Cap (f)
#        1 ea. BNC attenuator, 2X (6 dB)
#        1 ea. BNC power splitter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  O_CAL        Mode = LeveledSine; Channel = 5
  1.002  O_CAL        +Voltage = 3 Vpp; Frequency = 1 GHz
  1.003  O_CAL        Mode = Edge; TunnelDiodePulser
  1.003  O_CAL        +Voltage = 80 Vpp; Frequency = 10 kHz
  1.004  IEEE         [@LFCTR]
  1.005  STD          Fluke 5800A/TDP
  1.006  ENDIF

  1.007  MATH         @Bandwidth = 1E+9; @NumChan = 4; @MultiCh = 1

  1.008  ASK-   R   Q N              P                            A        V

  1.009  IF           NOT(VERSIONCHECK("8.1.7"))
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  TARGET
  1.018  DISP         Ensure a minimum DUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.
  1.019  HEAD

  1.020  CALL         Sub Tek DPO7000 Setup IEEE
  1.021  CALL         Sub DUT Connection GPIB

  1.022  MATH         @DUT_Manufacturer = "TEKTRONIX"
  1.023  MATH         @DUT_Model        = "DPO7104"
  1.024  MATH         @DUT_AssetNum     = UUT()

  1.025  IF           NOT(EMPTY(@DUT_AssetNum))
  1.026  MATH         @DUT_SerialNum = SN(@DUT_AssetNum)
  1.027  ENDIF

  1.028  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.029  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.030  JMPL         END                             @Abort
  1.031  CALL         Sub Tek DPO7000 Check Firmware Version
  1.032  JMPL         END                             @Abort

  1.033  IEEE2        *RST

  1.034  HEAD         EQUIPMENT REQUIREMENTS
  1.035  OPBR         -z Do you want to review the list of additional
  1.035  OPBR         equipment and/or accessories required?

  1.036  IF           MEM1
  1.037  DISP         - 1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
  1.037  DISP         - 1 ea. BNC Shorting Cap (f)
  1.037  DISP         - 1 ea. BNC attenuator, 2X (6 dB)
  1.037  DISP         - 1 ea. BNC power splitter
  1.038  ENDIF

  1.039  OPBR         -z Do you want to review the list of flexible standards,
  1.039  OPBR         additional equipment and/or accessories required?

  1.040  IF           MEM1
  1.041  DISP         The indicated minimum use specifications must be
  1.041  DISP         satisfied when configuring the following devices
  1.041  DISP         as flexible standards:
  1.041  DISP
  1.041  DISP         LF Counter (LFCTR):
  1.041  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.041  DISP         [32]   Accuracy: ±3.5 ppm/year
  1.041  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.041  DISP         [32] or equivalent

  1.042  DISP         Additional equipment/accessories required:
  1.042  DISP
  1.042  DISP         - Frequency Standard, suitable for use with configured
  1.042  DISP         [32] LF counter, ±3.5 ppm or better, Fluke PM6681 with
  1.042  DISP         [32] PM9678B option or equivalent (if required)
  1.043  ENDIF

  1.044  CALL         Sub Tek DPO7000 Self-Test IEEE
  1.045  JMPL         END                           @Abort
  1.046  CALL         Sub Tek DPO7000 Signal Path Compensation IEEE
  1.047  JMPL         END                           @Abort

  1.048  OPBR         -z The purpose of functional tests are to confirm the
  1.048  OPBR         DUT functions properly; that is, they verify the DUT
  1.048  OPBR         features operate. They do not verify that they operate
  1.048  OPBR         within limits. If more extensive confirmation of
  1.048  OPBR         performance is desired, please execute the full
  1.048  OPBR         performance test.
  1.048  OPBR
  1.048  OPBR         Do you want to execute the functional tests?

  1.049  IF           MEM1
  1.050  CALL         Sub Tek DPO7000 Functional Tests IEEE
  1.051  ENDIF

  1.052  MATH         @Chan = 1; @CalChan = 1
  1.053  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL
  1.054  MATH         @Chan = 2; @CalChan = 2
  1.055  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL
  1.056  MATH         @Chan = 3; @CalChan = 3
  1.057  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL
  1.058  MATH         @Chan = 4; @CalChan = 4
  1.059  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL

  1.060  MATH         @Chan = 1; @CalChan = 1
  1.061  CALL         Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /O_CAL+G1
  1.062  MATH         @Chan = 2; @CalChan = 2
  1.063  CALL         Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /O_CAL+G1
  1.064  MATH         @Chan = 3; @CalChan = 3
  1.065  CALL         Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /O_CAL+G1
  1.066  MATH         @Chan = 4; @CalChan = 4
  1.067  CALL         Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /O_CAL+G1
  1.068  JMPL         TRIGGER_CH1_50MHz

  1.069  LABEL        TIMEBASE_ACCURACY
  1.070  CALL         Sub Tek DPO7000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.071  JMPL         AUX_TRIGGER_OUT

  1.072  LABEL        TIMEBASE_REF
  1.073  CALL         Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /O_CAL

  1.074  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+TDP
  1.075  MATH         @Chan = 2
  1.076  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+TDP
  1.077  MATH         @Chan = 3
  1.078  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+TDP
  1.079  MATH         @Chan = 4
  1.080  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+TDP

  1.081  DISP         Remove all connections.
  1.082  JMPL         TRIGGER_CH1_AUX_IN_50MHz

  1.083  LABEL        TIME_QUALIFIED
  1.084  MATH         @Chan = 1; @CalChan = 1
  1.085  CALL         Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /O_CAL
  1.086  JMPL         TIMEBASE_REF

# -----  Trigger Sensitivity Ch 1  ------------------------------------------

  1.087  LABEL        TRIGGER_CH1_50MHz
  1.088  MATH         @Chan = 1; @CalChan = 1
  1.089  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
  1.090  JMPL         TRIGGER_CH1_FULL_BW

  1.091  LABEL        TRIGGER_CH1_AUX_IN_50MHz
  1.092  MATH         @Chan = 1
  1.093  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
  1.094  JMPL         TRIGGER_CH1_AUX_IN_250MHz

  1.095  LABEL        TRIGGER_CH1_FULL_BW
  1.096  CALL         Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /O_CAL+G1
  1.097  JMPL         TRIGGER_CH2_50MHz

  1.098  LABEL        TRIGGER_CH1_AUX_IN_250MHz
  1.099  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL
  1.100  JMPL         TRIGGER_CH2_AUX_IN_50MHz

# -----  Trigger Sensitivity Ch 2  ------------------------------------------

  1.101  LABEL        TRIGGER_CH2_50MHz
  1.102  MATH         @Chan = 2; @CalChan = 2
  1.103  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
  1.104  JMPL         TRIGGER_CH2_FULL_BW

  1.105  LABEL        TRIGGER_CH2_AUX_IN_50MHz
  1.106  MATH         @Chan = 2
  1.107  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
  1.108  JMPL         TRIGGER_CH2_AUX_IN_250MHz

  1.109  LABEL        TRIGGER_CH2_FULL_BW
  1.110  CALL         Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /O_CAL+G1
  1.111  JMPL         TRIGGER_CH3_50MHz

  1.112  LABEL        TRIGGER_CH2_AUX_IN_250MHz
  1.113  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL
  1.114  JMPL         TRIGGER_CH3_AUX_IN_50MHz

# -----  Trigger Sensitivity Ch 3 ------------------------------------------

  1.115  LABEL        TRIGGER_CH3_50MHz
  1.116  MATH         @Chan = 3; @CalChan = 3
  1.117  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
  1.118  JMPL         TRIGGER_CH3_FULL_BW

  1.119  LABEL        TRIGGER_CH3_AUX_IN_50MHz
  1.120  MATH         @Chan = 3
  1.121  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
  1.122  JMPL         TRIGGER_CH3_AUX_IN_250MHz

  1.123  LABEL        TRIGGER_CH3_FULL_BW
  1.124  CALL         Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /O_CAL+G1
  1.125  JMPL         TRIGGER_CH4_50MHz

  1.126  LABEL        TRIGGER_CH3_AUX_IN_250MHz
  1.127  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL
  1.128  JMPL         TRIGGER_CH4_AUX_IN_50MHz

# -----  Trigger Sensitivity Ch 4  ------------------------------------------

  1.129  LABEL        TRIGGER_CH4_50MHz
  1.130  MATH         @Chan = 4; @CalChan = 4
  1.131  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
  1.132  JMPL         TRIGGER_CH4_FULL_BW

  1.133  LABEL        TRIGGER_CH4_AUX_IN_50MHz
  1.134  MATH         @Chan = 4
  1.135  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
  1.136  JMPL         TRIGGER_CH4_AUX_IN_250MHz

  1.137  LABEL        TRIGGER_CH4_FULL_BW
  1.138  CALL         Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /O_CAL+G1
  1.139  JMPL         TIME_QUALIFIED

  1.140  LABEL        TRIGGER_CH4_AUX_IN_250MHz
  1.141  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL

  1.142  DISP         Remove all connections.
  1.143  JMPL         TIMEBASE_ACCURACY

  1.144  LABEL        AUX_TRIGGER_OUT
  1.145  MATH         @Chan = 1
  1.146  CALL         Sub Tek DPO7000 (1 yr) Aux Trigger Out VER IEEE
  1.147  CALL         Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /O_CAL

  1.148  LABEL        END
  1.149  IEEE2        *RST
  1.150  HEAD         -2

  1.151  IF           @Abort
  1.152  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.153  ENDIF

  1.154  END
